/*
 * @Author: wrh
 * @Date: 2025-02-12 10:55:08
 * @LastEditors: wrh
 * @LastEditTime: 2025-02-12 11:10:34
 */
import request from '@/utils/request'

// 查询实际回款列表
export function listContractPaid(query) {
  return request({
    url: '/oa/contractPaid/list',
    method: 'get',
    params: query
  })
}

// 查询实际回款详细
export function getContractPaid(paidId) {
  return request({
    url: '/oa/contractPaid/' + paidId,
    method: 'get'
  })
}

// 新增实际回款
export function addContractPaid(data) {
  return request({
    url: '/oa/contractPaid',
    method: 'post',
    data: data
  })
}

// 修改实际回款
export function updateContractPaid(data) {
  return request({
    url: '/oa/contractPaid',
    method: 'put',
    data: data
  })
}

// 删除实际回款
export function delContractPaid(contractId) {
  return request({
    url: '/oa/contractPaid/' + contractId,
    method: 'delete'
  })
}
